﻿using System;
using System.Windows.Forms;

namespace MonthYear
{
    public partial class frmMain : Form
    {
        private DateTime dt = DateTime.Today;
        
        public frmMain()
        {
            InitializeComponent();
            btn_Click(null, null);
        }

        /// <summary>
        /// Alle Button-Clicks
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btn_Click(object sender, EventArgs e)
        {
            if (sender == btnMonthUp)
                dt = dt.AddMonths(1);
            if (sender == btnMonthDown)
                dt = dt.AddMonths(-1);
            if (sender == btnYearUp)
                dt = dt.AddYears(1);
            if (sender == btnYearDown)
                dt = dt.AddYears(-1);

            lblMonth.Text = dt.ToString("MMMM");
            lblYear.Text = dt.ToString("yyyy");
        }
    }
}
